curl --request GET \
--url https://public-api.ibana.io/v1/accounts-receivable \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.ibana.io/v1/accounts-receivable"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.ibana.io/v1/accounts-receivable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"currency": "EUR",
"type": "INVOICE",
"alreadyPaid": true,
"archived": true,
"organization": {
"name": "<string>",
"slug": "<string>",
"logoFileName": "<string>",
"country": "<string>",
"vatNumber": "<string>",
"featureFlags": [
{
"featureName": "<string>",
"isEnabled": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"baseCurrency": "EUR",
"paymentRunBatchBooking": true,
"paymentRunVerificationOfPayee": true,
"invoiceExportIncludeForeignCurrencies": true,
"allowDirectInvoiceApproval": true,
"allowDirectPaymentRunApproval": true,
"customExportFormats": [
"custom_experta"
],
"apInvoiceBookingTextTemplate": "[\"counterparty-name\",\"invoice-number\",\"notes\"]",
"autoPopulateCustomerEmailFromMetadata": true,
"autoPopulateSupplierEmailFromMetadata": true,
"excludedEmailDomains": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"inCaseOfLawCustomerId": "<string>",
"cardCommonBookingTargetName": "<string>",
"cardCommonBookingTargetAccountsPayableNumber": "<string>",
"cardFxDifferenceLedgerAccount": "<string>"
},
"status": "OUTSTANDING",
"manuallyMarkedPaid": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"originalFileName": "<string>",
"filename": "<string>",
"counterpartyName": "<string>",
"counterpartyIban": "<string>",
"counterpartyVat": "<string>",
"counterparty": {
"email": "<string>",
"description": "<string>",
"vat": "<string>",
"accountsPayableNumber": "22 0391919",
"paymentTermsDays": 123,
"skontoPercentage": 123,
"skontoDays": 123,
"bankAccount": {
"identifierType": "IBAN",
"name": "<string>",
"bic": "<string>",
"countryCode": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"iban": "<string>",
"accountNumber": "<string>",
"latestVerification": {
"status": "QUEUED",
"submittedName": "<string>",
"submittedIban": "<string>",
"isStale": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"result": "MATCHED",
"returnedName": "<string>",
"reason": "<string>"
}
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"invoiceNumber": "<string>",
"purchaseOrder": "<string>",
"date": "<string>",
"billingPeriodStart": "<string>",
"billingPeriodEnd": "<string>",
"dueDate": "<string>",
"totalAmount": 123,
"taxRate": 123,
"skontoDate": "<string>",
"skontoAmount": 123,
"skontoRate": 123,
"category": "GOODS",
"paymentTerms": "<string>",
"notes": "<string>",
"alreadyPaidDate": "<string>",
"archivedDate": "<string>",
"archivedByUser": {
"email": "<string>",
"name": "<string>",
"authId": "<string>",
"role": "<string>",
"hasPushNotification": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"paymentMethodType": "BANK_TRANSFER",
"bankTransactionReconciliations": [
{
"bankTransaction": {
"transactionId": "<string>",
"amount": 123,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"currency": "EUR",
"bookingDate": "2023-11-07T05:31:56Z",
"remittanceInformation": "<string>",
"additionalInformation": "<string>",
"counterPartyName": "<string>",
"counterPartyIban": "<string>",
"transactionType": "incoming",
"endToEndId": "<string>",
"matchedInvoicesSum": 123,
"matchingStatus": "NOT_MATCHED",
"suggestedReconciliation": {},
"hasSuggestion": true
},
"targetType": "AR_INVOICE",
"matchedAmount": 123,
"matchType": "MANUAL",
"matchConfidence": "HIGH",
"matchedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"matchedBy": {
"email": "<string>",
"name": "<string>",
"authId": "<string>",
"role": "<string>",
"hasPushNotification": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"notes": "<string>",
"metadata": {}
}
],
"manuallyMarkedPaidAt": "<string>",
"manuallyMarkedPaidBy": {
"email": "<string>",
"name": "<string>",
"authId": "<string>",
"role": "<string>",
"hasPushNotification": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"matchedTransactionsSum": 123,
"inCaseOfLawClaim": {
"id": "<string>",
"status": "<string>",
"collectionStage": "<string>",
"forwardedAt": "2023-11-07T05:31:56Z",
"syncedAt": "2023-11-07T05:31:56Z",
"uploadStatus": "<string>",
"uploadedAt": "2023-11-07T05:31:56Z"
}
}
],
"meta": {
"page": 123,
"take": 123,
"itemCount": 123,
"pageCount": 123,
"hasPreviousPage": true,
"hasNextPage": true
}
}Get accounts receivable invoices
Get a paginated list of accounts receivable invoices.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The search term to look for in the invoice list.
Filter invoices by status.
Filter invoices by their counterparty ids.
Filter invoices dates from
Filter invoices dates to
Date field to use for date filtering (invoice date or due/payment date).
invoice_date, due_payment_date Filter invoices due date from
Filter invoices due date to
Filter invoices paid date from (when they were paid)
Filter invoices paid date to (when they were paid)
Filter invoices skonto date from
Filter invoices skonto date to
Filter invoices by type (invoice, credit note).
Filter invoices by last reminder template IDs.
Filter invoices by payment method types (comma-separated). Use "not_set" to filter for invoices without a payment method.
Filter invoices by In case of law claim status.
Specify the field you want to order by.
Choose between ascending and descending order.
Choose between ascending and descending order.
ASC, DESC Specify the number of the page you want to retrieve.
x >= 1Specify the number of items you want to retrieve per page.
1 <= x <= 100Was this page helpful?

